/*
// Created by Lucile on 10/04/2021.
*/

#ifndef INSAGAMETEST_TEST_BUTTON_H
#define INSAGAMETEST_TEST_BUTTON_H

#include <gtest/gtest.h>
extern "C"{
#include "button.h"
}

TEST(test_init_button,values_3_4_5_6_testimage) {
    int times = 500000000;
    Button button;
    init_button(&button, 3, 4, 5, 6, "test_image");
    EXPECT_EQ(3,button.x_button);
    EXPECT_EQ(4,button.y_button);
    EXPECT_EQ(5,button.long_button);
    EXPECT_EQ(6,button.larg_button);
    EXPECT_STREQ("test_image",button.image_button);
    EXPECT_EQ(0, button.state);
    while (times > 0) times--;
}

TEST(test_click, values_in_button){
    int times = 500000000;
    Button button;
    int res;
    init_button(&button, 2, 3, 4, 4, "image");
    res=click(3, 4, &button);
    EXPECT_EQ(1,button.state);
    EXPECT_EQ(1, res);
    while (times > 0) times--;
}

TEST(test_click, values_out_button){
    int times = 500000000;
    Button button;
    int res;
    init_button(&button, 2, 2, 1, 1, "image");
    res=click(34, 4, &button);
    EXPECT_EQ(0,button.state);
    EXPECT_EQ(0, res);
    while (times > 0) times--;
}

#endif /*INSAGAMETEST_TEST_BUTTON_H*/
